let expect = require('chai').expect;
let sinon = require('sinon');
let add = require('../src/math').add;
let divide = require('../src/math').divide;
let weather = require('../src/weather');
let chooseClothing = require('../src/choices').chooseClothing;

describe('sample tests', function() {
  let sandbox;
  
  beforeEach(function() {
    sandbox = sinon.sandbox.create();
  });
  
  afterEach(function() {
    sandbox.restore();
  });
  
  it('should pass this canary test', function() {
    expect(true).to.be.true;
  });                  
  
  it('add two numbers should return sum', function() {
    expect(add(4, 2)).to.be.eql(6);
  }); 
  
  it('add two negative numbers should return sum', function() {
    expect(add(-4, -3)).to.be.eql(-7);
  });                                 
  
  it('divide a number should return result', function() {
    expect(divide(6, 2)).to.be.eql(3);
  });
  
  it('divide by zero should throw an exception', function() {
    expect(() => divide(4, 0)).to.throw(Error);
  });
  
  it('decide what to wear on a warm day', function() {
    sandbox.stub(weather, 'temperature')
      .withArgs('Minneapolis')
      .returns(80);
      
    expect(chooseClothing('Minneapolis')).to.be.eql('T-Shirt');
  });

  it('decide what to wear on a cool day', function() {
    sandbox.stub(weather, 'temperature')
      .withArgs('Minneapolis')
      .returns(60);

    expect(chooseClothing('Minneapolis')).to.be.eql('Lite Jacket');
  });
});




